#include <Wire.h>
#include <LCD.h>
#include <LiquidCrystal_I2C.h>

/*----( Declare Constants )----*/
#define I2C_ADDR    0x20          // Define I2C Address for the PCF8574A 
                                  //---(Following are the PCF8574 pin assignments to LCD connections )----
                                  // This are different than earlier/different I2C LCD displays
#define BACKLIGHT_PIN  7
#define En_pin  4
#define Rw_pin  5
#define Rs_pin  6
#define D4_pin  0
#define D5_pin  1
#define D6_pin  2
#define D7_pin  3

#define  LED_OFF  1
#define  LED_ON  0

LiquidCrystal_I2C  lcd(I2C_ADDR,En_pin,Rw_pin,Rs_pin,D4_pin,D5_pin,D6_pin,D7_pin);

void setup()   

{
  lcd.begin (16,2);

  lcd.setBacklightPin(BACKLIGHT_PIN,NEGATIVE);
  lcd.setBacklight(LED_ON);
}

void loop()
{
    lcd.backlight();  //Backlight ON if under program control
    lcd.clear();
    lcd.setCursor(0,0); //Start at character 0 on line 0
    lcd.print("hello world");
    delay(2000);
    lcd.setCursor(0,1); //Start at character 0 on line 1
    lcd.print("homedistiller.ru");
}    
